Description

The 'Edit Custom Icon' item in the popup menu doesn't work in Kepler although it
does in PTII 5.0. The problem is that it uses the actor tree on the left in PTII
and Kepler has its own version. We should either remove the menu item or fix it.

History

#1 - 11/02/2005 05:15 PM - Matt Jones

Probably should remove it as we are moving to custom SVG icons for everything.
Maybe we should allow the user to choose which icon to use for a new actor.

#2 - 11/11/2005 06:07 PM - Matthew Brooke

Removed New->Icon Editor from File menu. Still need to remove 'Edit Custom Icon’
item from popup menu

#3 - 12/19/2005 12:21 AM - Christopher Brooks

On this one, we need a better way to handle Kepler specific menus in the
Ptolemy classes that does not require duplicating the Ptolemy code.

One such way would be to use the configuration to configure the menu choices.
In this case, the menu comes from vergil/basic/WithilconGraphController.java.
We could modify that class so that it skips adding the menu if a the configuration
has a specific tag. At the minimum we need some naming conventions for these
tags. For example, if the configuration contained a property
"_menuActorEditlcon" that was set to false, then we would skip adding the

Edit Icon menu choices to the actor context menu. This is just a trivial

example. . .

Even better would be a way to use the configuration mechanism to configure the
context menus in a more generic fashion. The configuration should allow a user
to add new menu choices, change current menu choices and remove menu choices.

An alternative would be to use an entirely different menu management system,
but this seems like quite a bit of work. If we went that far, then perhaps
going to Eclipse would seem worth it?

Does anyone have any suggestions?

#4 - 02/28/2006 08:08 PM - Matthew Brooke

re-implemented menus (in answer to Christopher's prev. comment), and have
removed the "custom icon" related menu items, since we currently do not want the
icons to be editable from within kepler (at least, not in the way ptii allowed it)

#5 - 03/27/2013 02:19 PM - Redmine Admin
Original Bugzilla ID was 2150
